package com.bytedance.android.livesdkapi.host;

import X.0UT;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.effectmanager.EffectManager;
import java.io.File;
import java.util.Locale;

public interface IHostContext extends 0UT {
    static {
        Covode.recordClassIndex(22442);
    }

    int appId();

    String appName();

    Context context();

    Locale currentLocale();

    String getBoeLane();

    String getChannel();

    EffectManager getEffectManager();

    String getGeckoAccessKey();

    String getGeckoHost();

    Object getGeckoXNetImpl(Context context);

    String getIapKey();

    String getPackageName();

    String getPpeLane();

    Object getResourceFinder(Context context, String str);

    String getServerDeviceId();

    String getSessionId();

    String getTTLiveGeckoCdnUrl(String str, String str2);

    File getTTLiveGeckoResourceFile(String str, String str2);

    int getUpdateVersionCode();

    String getVersionCode();

    int getVersionCodeInt();

    String getVersionName();

    boolean isBoe();

    boolean isLocalTest();

    boolean isNeedProtectMinor();

    boolean isOffline();

    boolean isPpe();

    int liveId();

    void trafficDeteriorationAB(int i);
}
